> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fact0.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay execution frames



## OpenAPI

````yaml /openapi/telemetry.v1.yaml get /api/v1/executions/{executionID}/replay
openapi: 3.1.0
info:
  title: Fact0 Execution Telemetry API
  version: 1.0.0
  description: >
    Execution tracing API for AI agent observability - executions, spans,
    events, DAG, and replay.


    **Auth:** `f0_live_*` API keys (same as the audit log on Fact0 Cloud).
servers:
  - url: https://api.fact0.io
    description: Fact0 Cloud
security: []
tags:
  - name: Ingest
  - name: Query
  - name: Replay
paths:
  /api/v1/executions/{executionID}/replay:
    get:
      tags:
        - Replay
      summary: Replay execution frames
      operationId: replayExecution
      parameters:
        - $ref: '#/components/parameters/ExecutionID'
        - name: from_sequence
          in: query
          schema:
            type: integer
            format: int64
        - name: to_sequence
          in: query
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Replay frames
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReplayResponse'
components:
  parameters:
    ExecutionID:
      name: executionID
      in: path
      required: true
      schema:
        type: string
  schemas:
    ReplayResponse:
      type: object
      properties:
        execution_id:
          type: string
        frames:
          type: array
          items:
            type: object
            additionalProperties: true

````